### Constructor

# Foundry Gir new

since: 1.1

#### Declaration [src]

    DexFuture*
    foundry_gir_new (
      GFile* file
    )

#### Description [src]

Parses `file` to create a new in-memory representation as a `FoundryGir`.

Available since: 1.1

#### Parameters

`file`

  Type: `GFile`

  A `GFile`.

  The data is owned by the caller of the function.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `FoundryGir` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.